package com.dsk.common.dtos;

import com.dsk.common.core.domain.model.BasePage;
import lombok.Data;

import java.util.List;

/**
 * @ClassName OpRegionalEconomicDataV1PageDto
 * @Description 专项债-项目类别统计
 * @Author Dgm
 * @Date 2023/5/23 14:05
 * @Version
 */
@Data
public class OpRegionalEconomicDataV1PageDto extends BasePage {

    /**
     * 年份
     */
    private Integer year;
    /**
     * 省
     */
    private List<String> provinceIds;
    /**
     * 市
     */
    private List<String> cityIds;
    /**
     * 区
     */
    private List<String> areaIds;

    /**
     * 全国宏观经济：1 / 辖区经济：2 / 地区对比：3
     */
    private Integer type;

    /**
     * 排序字段 默认gdp
     */
    private String field = "gdp";
    /**
     * 排序 (降序desc 升序asc)
     */
    private String order = "desc";
}
