package com.dsk.common.dtos;

import com.dsk.common.core.domain.model.BasePage;
import lombok.Data;


/**
 * @ClassName UrbanInvestmentPlatformDto
 * @Description 城投平台参数对象
 * @Author Dgm
 * @Date 2023/5/23 14:05
 * @Version
 */
@Data
public class UrbanInvestmentPlatformDto extends BasePage {

    /**
     * 行政级别
     */
    private String uipExecutiveLevel;
    /**
     * 城投业务类型
     */
    private String uipBusinessType;
    /**
     * 主体评级
     */
    private String bratingSubjectLevel;
    /**
     * 股东背景
     */
    private String shareholderBg;
    /**
     * 股权关系
     */
    private String equityRelationship;
    /**
     * 平台重要性
     */
    private String platformImportance;

    /**
     * 所属开发区
     */
    private String developmentZone;

    /**
     * 省
     */
    private Integer provinceId;
    /**
     * 市
     */
    private Integer cityId;
    /**
     * 区
     */
    private Integer areaId;

    /**
     * 关键词
     */
    private String keyword;

    /**
     * 排序字段
     */
    private String field;
    /**
     * 字段 desc asc
     */
    private String order;
}
