package com.dsk.system.service;

import com.dsk.common.core.domain.AjaxResult;
import com.dsk.common.dtos.OpRegionalEconomicDataV1Dto;
import com.dsk.common.dtos.OpRegionalEconomicDataV1PageDto;

/**
 * @ClassName EconomicService
 * @Description 经济大全业务层
 * @Author Dgm
 * @Date 2023/5/18 10:17
 * @Version 1.00
 */
public interface EconomicService {

    /***
     *@Description: 全国经济大全分页列表
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:25
     */
    AjaxResult nationalPage(OpRegionalEconomicDataV1PageDto dto);

    /***
     *@Description: 全国经济大全详情
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:25
     */
    AjaxResult details(Integer id);


    /***
     *@Description: 地区经济统计
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:25
     */
    AjaxResult statisticsRegional(OpRegionalEconomicDataV1Dto dto);

    /***
     *@Description: 地区经济-分页列表
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:25
     */
    AjaxResult regionalList(OpRegionalEconomicDataV1Dto dto);

    /***
     *@Description: 地区经济-分页列表
     *@Param:
     *@return: com.dsk.common.core.domain.AjaxResult
     *@Author: Dgm
     *@date: 2023/5/18 10:25
     */
    AjaxResult regionalComparison(OpRegionalEconomicDataV1Dto dto);

}
